tigase.jaxmpp.core.client.connector

## Enum StreamError

- java.lang.Object
- - java.lang.Enum<StreamError>
  - - tigase.jaxmpp.core.client.connector.StreamError

- All Implemented Interfaces:
    Serializable, Comparable<StreamError>

      public enum StreamError
      extends Enum<StreamError>

  XML Stream errors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bad_format`
    `bad_namespace_prefix`
    `conflict`
    `connection_timeout`
    `host_gone`
    `host_unknown`
    `improper_addressing`
    `internal_server_error`
    `invalid_from`
    `invalid_id`
    `invalid_namespace`
    `invalid_xml`
    `not_authorized`
    `not_well_formed`
    `policy_violation`
    `remote_connection_failed`
    `reset`
    `resource_constraint`
    `restricted_xml`
    `see_other_host`
    `system_shutdown`
    `undefined_condition`
    `unsupported_encoding`
    `unsupported_stanza_type`
    `unsupported_version`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamError` | `getByElementName(String name)`
    `String` | `getElementName()`
    `static StreamError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreamError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bad_format

          public static final StreamError bad_format

    - #### bad_namespace_prefix

          public static final StreamError bad_namespace_prefix

    - #### conflict

          public static final StreamError conflict

    - #### connection_timeout

          public static final StreamError connection_timeout

    - #### host_gone

          public static final StreamError host_gone

    - #### host_unknown

          public static final StreamError host_unknown

    - #### improper_addressing

          public static final StreamError improper_addressing

    - #### internal_server_error

          public static final StreamError internal_server_error

    - #### invalid_from

          public static final StreamError invalid_from

    - #### invalid_id

          public static final StreamError invalid_id

    - #### invalid_namespace

          public static final StreamError invalid_namespace

    - #### invalid_xml

          public static final StreamError invalid_xml

    - #### not_authorized

          public static final StreamError not_authorized

    - #### not_well_formed

          public static final StreamError not_well_formed

    - #### policy_violation

          public static final StreamError policy_violation

    - #### remote_connection_failed

          public static final StreamError remote_connection_failed

    - #### reset

          public static final StreamError reset

    - #### resource_constraint

          public static final StreamError resource_constraint

    - #### restricted_xml

          public static final StreamError restricted_xml

    - #### see_other_host

          public static final StreamError see_other_host

    - #### system_shutdown

          public static final StreamError system_shutdown

    - #### undefined_condition

          public static final StreamError undefined_condition

    - #### unsupported_encoding

          public static final StreamError unsupported_encoding

    - #### unsupported_stanza_type

          public static final StreamError unsupported_stanza_type

    - #### unsupported_version

          public static final StreamError unsupported_version

  - ### Method Detail

    - #### values

          public static StreamError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamError c : StreamError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getByElementName

          public static StreamError getByElementName(String name)

    - #### getElementName

          public String getElementName()

Copyright © 2006–2023 Tigase. All rights reserved.